namedNodeMap.c File Reference
`#include "ixmlparser.h"`
`#include <assert.h>`
`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for namedNodeMap.c:

## Functions

static unsigned long | ixmlNamedNodeMap_getItemNumber (IN IXML_NamedNodeMap *nnMap, IN const char *name)
| Return the item number of a item in NamedNodeMap. More...
void | ixmlNamedNodeMap_init (IXML_NamedNodeMap *nnMap)
| Initializes a NamedNodeMap object. More...
IXML_Node * | ixmlNamedNodeMap_getNamedItem (IXML_NamedNodeMap *nnMap, const DOMString name)
IXML_Node * | ixmlNamedNodeMap_item (IN IXML_NamedNodeMap *nnMap, IN unsigned long index)
unsigned long | ixmlNamedNodeMap_getLength (IXML_NamedNodeMap *nnMap)
| Returns the number of items contained in this NamedNodeMap. More...
void | ixmlNamedNodeMap_free (IXML_NamedNodeMap *nnMap)
| Frees a NamedNodeMap. More...
int | ixmlNamedNodeMap_addToNamedNodeMap (IXML_NamedNodeMap **nnMap, IXML_Node *add)
| Add a node to a NamedNodeMap. More...

## Function Documentation

## ixmlNamedNodeMap_addToNamedNodeMap()

int ixmlNamedNodeMap_addToNamedNodeMap | ( | IXML_NamedNodeMap ** | nnMap,
|  | IXML_Node * | add
| ) |  |

Add a node to a NamedNodeMap.

Returns
  IXML_SUCCESS or failure.

## ixmlNamedNodeMap_getItemNumber()

static unsigned long ixmlNamedNodeMap_getItemNumber | ( | IN IXML_NamedNodeMap * | nnMap,
|  | IN const char * | name
| ) |  |

static

Return the item number of a item in NamedNodeMap.

Parameters

  [in] | nnMap | The named node map to process.
  [in] | name | The name of the item to find.

Referenced by ixmlNamedNodeMap_init().

## ixmlNamedNodeMap_init()

void ixmlNamedNodeMap_init | ( | IXML_NamedNodeMap * | nnMap | ) |

Initializes a NamedNodeMap object.

Parameters

  [in] | nnMap | The named node map to process.

References DOMString, ixmlNamedNodeMap_getItemNumber(), and ixmlNamedNodeMap_getNamedItem().